<?php
session_start();
// require('../cfg/cfg.php');
// require('../cfg/res.php');
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');
include('PdfToText.phpclass') ;

// if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}
$tipo=$_POST['ptipo']; 
$ffile=$_POST['ffile']; 
$ffile2=substr($ffile,0,48);

// echo '*/*/*/*/'.$tipo;

if($tipo=='full')
{
	echo '<br>'.'Cargando Datos....FULL';
	echo upl_claves2();
// 	echo fill_autornum();
}

if($tipo=='clac')
{
	if($_SESSION['user_cedula']=='0915379374'){$ffile=$ffile2.val_mod11($ffile2);}
     
//      echo '*/*/*/'.$ffile;
	
	if(val_clac($ffile))
	{
 
		$msj ='<div style="font-family:arial; font-size:14px;">';
		$msj.='<hr>';
		$msj.=' Clave : '.$ffile.'<br>';	
		echo $msj;	
		echo upl_cexml($ffile);
	}
	else
	{
		$msj ='<div style="font-family:arial; font-size:14px;">';
		$msj.='<hr>';
		$msj.=' Clave : '.$ffile.' ==> NO VALIDA<br>'. val_clac($ffile);	
		echo $msj;	
	}
}

if($tipo=='.xml' or $tipo=='.pdf' or $tipo=='.txt')
{
// 	if($_FILES['ffile']['type']!='application/pdf'){die('Tipo de Archivo INVALIDO');}
	$n_original=$_FILES['ffile']['name'];
	$n_tempo=$_FILES['ffile']['tmp_name'];
  
   echo '<hr>';
   echo ' Archivo : '.$n_original;

   if($_FILES['ffile']['type']=='application/pdf')
   {
    $pdf 	= new PdfToText ( $n_tempo ) ;
    $file = $pdf -> Text ;
   }
   else
   {
    $n_destino=$rutacetxt.$n_original=$_FILES['ffile']['name'];
    move_uploaded_file($n_tempo, $n_destino);
    $file=file_get_contents($n_destino);
   }
     
     $lfile=strlen($file);
     $claves=array();
     $ccla=0;
     
	if($tipo=='.txt')
     {
          for($xcont=1; $xcont<255; $xcont++)
          {
               if($xcont>=65 and $xcont<=90){$file=str_replace(chr($xcont),'',$file);}
               if($xcont>=97 and $xcont<=122){$file=str_replace(chr($xcont),'',$file);}
               if($xcont<48 or $xcont>57){$file=str_replace(chr($xcont),'-',$file);}
          }
          $file=str_replace('---','-',$file);          
          $file=str_replace('--','-',$file);          
     }
     
  
  echo '<br>Cargando....'.round($lfile/1000,2).' Kb.';
//   echo '<br>Cargando....'.$file;
     
  for($xcont=0; $xcont<$lfile; $xcont++)
  {
    $clave= substr($file,$xcont,49);
    
    if(val_clac($clave))
    {
      if($clave!=$claves[$ccla])
      {
        $ccla++;
        $claves[$ccla]=$clave;
        echo '<br>'.$clave;
         
	      if($tipo=='.txt')
         {
          $xcont=$xcont+47;
//             $subdce=mk_subdce($clave);
//             $n_destino=$rutace.$subdce.$clave.'.xml';
//             if(move_uploaded_file($n_tempo, $n_destino)){echo '==> OK'; }else{echo '==> Error ..'; }
         }
	      if($tipo!='.txt')
         {
            $subdce=mk_subdce($clave);
            $n_destino=$rutace.$subdce.$clave.'.xml';
                
                $xtempo= file_get_contents($n_tempo);
//                 echo '<br><br>strt:'.$xtempo.'<br><br>';
//                 echo '<br><br>TEMP:'.$n_tempo.'<br><br>';
//                 echo '<br><br>DEST:'.$n_destino.'<br><br>';
//             if(move_uploaded_file($n_tempo, $n_destino)){echo '==> OK'; }else{echo '==> Error ..'; }
            if(file_put_contents($n_destino,$file)>100)
            {
                 echo ' ==> OK ';
                 upl_cexml($clave);
            }
            else{echo ' ==> Error ..'; }
//                 echo '==>'.file_put_contents($n_destino,$file);
         }
      }
      
       if($tipo!='.txt')
       {
//           $sql_clac='select * from clac0 where clac_codigo="'.$clave.'"';
//           $res_clac=msql_query($sql_clac,$link_vcrx);
//           $upldfec=substr(msql_result($res_clac,0,'clac_upldfec'),0,10);
//           if(empty($upldfec) or $upldfec<$fechaa)
//           {echo upl_cexml($clave);}
          break;
       }
    }
//        echo '<br>'.$xcont;
  }

//   if($tipo!='.txt')
//   {
//      for($xcont=0; $xcont<=($ccla); $xcont++)
//      {
//       echo '<br>'.$xcont.' == > ';
//       echo '<br>'.$claves[$xcont];
//        $sql_clac='select * from clac0 where clac_codigo="'.$claves[$xcont].'"';
//        $res_clac=msql_query($sql_clac,$link_vcrx);
//        $upldfec=substr(msql_result($res_clac,0,'clac_upldfec'),0,10);
//        if(empty($upldfec) or $upldfec<$fechaa)
//        {echo upl_cexml($claves[$xcont]);}
//      }
//   }

   
//   if($tipo=='.txt')
//   {
//      for($xcont=0; $xcont<=($ccla); $xcont++)
//      {
//       echo '<br>'.$xcont.' == > ';
//       echo '<br>'.$claves[$xcont];
//        $sql_clac='select * from clac0 where clac_codigo="'.$claves[$xcont].'"';
//        $res_clac=msql_query($sql_clac,$link_vcrx);
//        $upldfec=substr(msql_result($res_clac,0,'clac_upldfec'),0,10);
// //        if(empty($upldfec) or $upldfec<$fechaa)
// //        {echo upl_cexml($claves[$xcont]);}
//      }
// // 	   echo upl_claves2();
//   }

}



// if($tipo=='.xml')
// {
// 	if($_FILES['ffile']['type']!='text/xml'){die('Tipo de Archivo INVALIDO');}
// 	$n_original=$_FILES['ffile']['name'];
// 	$n_tempo=$_FILES['ffile']['tmp_name'];

// 	$msj ='<div style="font-family:courier new; font-size:14px;">';
// 	$msj.='<hr>';
// // 			$msj.='*** COMPROBANTE OK ***'.'<br>';
// 	$msj.='<br>'.' Archivo : '.$n_original.'<br>';	
	
// 	echo $msj;	
	
// 	$DOM1 = new DOMDocument('1.0', 'utf-8');
// 	$DOM2 = new DOMDocument('1.0', 'utf-8');
// 	$xml1=file_get_contents($n_tempo);
// 	$DOM1->loadXML($xml1);
// 	$numautor=$DOM1->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
// 	$claveacc=$DOM1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
  
//   $xml2=$DOM1->getElementsByTagName('comprobante')->item(0)->nodeValue;

//   $xml2=str_replace("\n",'',$xml2);
//   $xml2=str_replace("\r",'',$xml2);
    
// 	if($claveacc==""){$DOM2->loadXML($xml2);}
// 	else{$DOM2->loadXML($xml1);}
	
// 	$claveacc=$DOM2->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
// 	if(val_clac($claveacc))
// 	{
//     $subdce=mk_subdce($claveacc);
// 		$n_destino=$rutace.$subdce.$claveacc.'.xml';
// 		if(move_uploaded_file($n_tempo, $n_destino))
// 		{
// 			echo upl_cexml($claveacc);
// 			$msj ='';
// 			$msj.='</div>'.'<br>';	
// 			echo $msj;
// 		}
// 		else
// 		{echo 'Error en Archivo'.strtoupper($n_original);}
// 	}
	
// }

// if($tipo=='.pdf')
// {
// 	if($_FILES['ffile']['type']!='application/pdf'){die('Tipo de Archivo INVALIDO');}
// 	$n_original=$_FILES['ffile']['name'];
// 	$n_tempo=$_FILES['ffile']['tmp_name'];

  
// 	$msj ='<div style="font-family:courier new; font-size:14px;">';
// 	$msj.='<hr>';
// // 			$msj.='*** COMPROBANTE OK ***'.'<br>';
// 	$msj.='<br>'.' Archivo : '.$n_original.'<br>';	
  
// 	$pdf 	= new PdfToText ( $n_tempo ) ;
// 	$file = $pdf -> Text ;
//   $lfile=strlen($file);
//   $claves=array();
//   $ccla=0;
  
//   for($xcont=1; $xcont<$lfile; $xcont++)
//   {
//     $clave= substr($file,$xcont,49);
//     if(val_clac($clave))
//     {
//       $ccla++;
//       $claves[$ccla]=$clave;
// //       echo '<br>'.$ccla.'==>'.$clave;
//     }
//   }
// //   echo count($ccla);
  
//   for($xcont=0; $xcont<=count($ccla); $xcont++)
//   {
//     echo upl_cexml($claves[$xcont]);
// 			$msj ='';
// 			$msj.='</div>'.'<br>';	
// 			echo $msj;
//   }
  
// }

// if($tipo=='.txt')
// {
// 	$msj ='<div style="font-family:courier new; font-size:14px;">';
// 	$msj.='<hr>';
// 	echo $msj;
	
// 	$n_original=$_FILES['ffile']['name'];
// 	$n_tempo=$_FILES['ffile']['tmp_name'];
// 	$n_destino=$rutace.$n_original;
// 	if($_FILES['ffile']['type']!='text/plain'){die('<br>'.'Formato NO VALIDO :'.strtoupper($n_original));}
// 	if(move_uploaded_file($n_tempo, $n_destino))
// 	{
// 		echo '<br>'.'Cargo Archivo : '.strtoupper($n_original); 
// 		echo upl_claves($n_original);
// 	}
// 	else
// 	{echo '<br>'.'Error en Archivo'.strtoupper($n_original);}
	
// }


return;


?>







